View Issue Details

IDProjectCategoryView StatusLast Update
0000670FreeCADBugpublic2012-04-17 19:54
Reportersliptonic Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000670: Draft grid only visible on first view window.
DescriptionWith preferences to use the grid and spacing at 1, 10.
1) start a new project and switch to draft wb.
2) Grab the wire tool and draw some lines. The grid should appear.
3) Exit the wire tool
4) menu view->create new view
5) the new view has no grid. drawing with wire tools doesn't make it appear.
6) Close both views and start a new project.
7) No grid displays when drawing.
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2012-04-13 13:05

administrator   ~0001938

Okay, indeed the grid only works in the first view. Will work on that...

galou_breizh

2012-04-13 18:16

reporter   ~0001939

More generally, the grid seems to appears only in the view which was active when the grid was shown for the first time. Even if you create a new document, no grid is shown if the a Draft tool was used on the first document.

FreeCAD 0.13, Libs: 0.13R0840 (Git), Fedora 16

yorik

2012-04-13 19:19

administrator   ~0001940

Yes, that's exactly what is happening. I must find a way to bind a grid to a view and check if there is one when needed.

yorik

2012-04-17 19:54

administrator   ~0001954

Fixed with commit c01e948

Issue History

Date Modified Username Field Change
2012-04-12 19:32 sliptonic New Issue
2012-04-13 13:05 yorik Note Added: 0001938
2012-04-13 13:05 yorik Status new => assigned
2012-04-13 13:05 yorik Assigned To => yorik
2012-04-13 18:16 galou_breizh Note Added: 0001939
2012-04-13 19:19 yorik Note Added: 0001940
2012-04-17 19:54 yorik Note Added: 0001954
2012-04-17 19:54 yorik Status assigned => closed
2012-04-17 19:54 yorik Resolution open => fixed
2012-04-17 19:54 yorik Fixed in Version => 0.13